DotNetSkin Overview

DotNetSkin is an component to build skinnable WindowForms application, just put one component on main form, All forms and controls will be skinned .


DitNetSkin Feature

DotNetSkin Features

DotNetSkin is skin component for Windows Forms Application , With DotNetSkin developer can create professional skin user interfaces without coding efforts. Just put one component, DotNetSkin will skin all forms and controls in your .NET Windows Forms applications.

For a quick visual overview of user interface that DotNetSkin provides take a look at the screen-shots that were made from actual skin file that we ship with DotNetSkin.

  • DotNetSkin support SDIform with custom caption.
  • Support MDIform with MdiList in Mainmenu, menu merge with MDIChild form.
  • Skin mainmenu and toolbar with Office 2003 style .
  • Support Button,CheckBox,RadioButton.
  • Support Combobox.
  • Support Statusbar.
  • Support Trackbar.
  • Support Progress.
  • Support DomainUpdown,NumberUpdown .
  • Support TabControl with Scroller.
  • Support ListView with header control.
  • Support Scroolbar in ListBox,ListView,RichTextBox,TreeView,DataGrid
  • Build skin file in EXE file.

There over 20 skin files available, more skin files coming soon.


Install

1.VS2003

Just run dotnetskin.msi, DotNetSkin will be installed on ,VS2003 automatically.

2.VS2005,VS2002

You should add dotnetskin Icon manually to your VS toolbox.

1.Right-click on the"General" tab in the Toolbox
2.Choose "Add/Remove Items..."
3.On the ".NET Framework Components", press the "Browse..." button and find a DotNetSkin.dll

That will add component icons to the General tab.

the DotNetSkin demo version limitation: Form Caption Text NOT Display, Just a DotNetSkin Logo.


How to skin a application

How to skin a .net application

You can build skinnable application within a few minute .

1 Put SkinUI component on mainform

2 Set SkinUI.FileName property to skin file

3 Set SkinUI.active = true

4 compile your application and run


SkinUI Component

SkinUI

SkinUI is main component to skin your project, use just put on SkinUI on mainform, it will automatically skin all forms.

property

Active: enable / disable skin at runtime.
DisableTag: To prevent control from skining, set the control's Tag property value to DisableTag.
SkinFile: This string value is skin file with path. Load skin file at runtime.
SkinFileEx: Build Skin file in EXE file.
ImageList: ImageList for Main menuitem.

SkinUI is flexible, you can set property in "Appearance" category.

Caption: Skin Form border.
Button: Skin Button.
CheckBox: Skin CheckBox.
RadioButton: Skin RadioButton.
Combobox: Skin Combobox.
Edit : Skin Edit.
Groupbox: Skin GroupBox.
Panel: Skin Panel.
Progress: Skin Progress.
StatusBar: Skin StatusBar.
TrackBar: Skin TrackBar.
ToolBar: Skin ToolBar.
Scrollbar: Skin Scrollbar in controls.
Spin: Skin donmainUpDown,NumberUpDown.

Method

LoadFromFile(string :value);
Load skin at runtime. it is same as SkinFile property.

Event


Form caption

You can set SkinUI.Caption property to skin form caption or not.

A.SkinUI.Caption = true, Form border is skin

B. SkinUI.Caption = false,Form border isn't skin.


MenuItem Image

Set Main menu image

DotNetSkin support imagelist in mainmenu.

1. Set imagelist in SkinUI.ImageList

2. Set Menuitem imageIndex in menuitem designer


How to get skin colors?

DotNetSkin API

1.Draw Skin Image:

public static void DrawSkinImage(Graphics g,int n,int i,Rectangle r)

n :Skin Object , can be one of follow value:

  • 0: button
  • 1: Checkbox.
  • 2: RadioButton.

i : image index, you can check it in skin builder .

Example draw first button image , SkinUI.DrawSkinImage(g,0,1,new Rectangle(0,0,100,40));

2.Get skin sheme colors :

public static Color GetSkinColor( int n);

n : color index, can be one of follow value;

  • 0: Window background color.
  • 1: Edit border color.
  • 2: Menu HightText color;
  • 3: BtnShadow color.
  • 4: Button Highlight color.
  • 5: Button DkShadow3d color.
  • 6: Button Light3d color.
  • 7: Menu bar background color.
  • 8: Menu Selected color.

Example get window background color , SkinUI.GetSkinColor(0).


Order

Purchase

All products are delivered electronically, by downloading the software from a server. You can make your own backup copy of the downloaded software, which we highly recommend. After purchasing you will receive an email with your serial numbers and registration information.

  • All products are run-time royalty free which means that when you purchase our products (one copy per developer on your project), you may distribute the component you purchased with your applications without paying any run-time fees to us.
  • 1 Year of product updates

Upgrade Policy
During the first year after purchase you can email our technical support team for help with resolving problems or advice on how to get the most from our software. You will also be automatically supplied with all updates as they are produced. At the end of this period you have the option to purchase another year of email support and product updates at a cost of 25% of the normal licence price.

Name | Description
DotNetSkin Standard Edition with Single License | for single developer use, without source code .

If you have any problem, Please contact us info@link-rank.com.


Support

Before you contact us, please do the following:

  • Look at the Help files,Demos: it may already contain an answer to your question. A lot of people ask us something like "how do I:", though the complete information is there.
  • Visit our Internet site at http://www.link-rank.com. It's a good chance that you'll find the newer version of our product there.

If the problem persists, please, inform us about the following:

  • Dotnetskin version.
  • Where did you download DotNetSkin(our website or other).
  • Visual Studio version information.
  • Environmental information: your OS and Service Pack
  • Description of your problem (as much information as possible to retrieve the problem).
  • Attach a test project where the problem could be reproduced (it helps us to solve your issue as soon as possible)

We provide technical support to both licensed and non-licensed customers, so even if you're just evaluating our product, we'll certainly try to answer your question. You will receive a reply to your question within the following time frames

  • Priority Support customers: max. 24 hours (normally much faster, even on weekends and holidays).
  • Customers: max. 48 hours (normally faster; we may not be available on weekends and holidays).
  • Everyone else: we cannot make any commitments, but we'll definitely answer every e-mail.

You can submit support requests by e-mail: info@link-rank.com


License

DotNetSkin License Agreement

Copyright:
The DotNetSkin (software) and everything that comes with it
is copyrighted by (C) 2001-2005 by Link rank.
All rights reserved.

Liability disclaimer:

THIS SOFTWARE IS DISTRIBUTED "AS IS" AND WITHOUT
WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY
OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR
IMPLIED. YOU USE IT AT YOUR OWN RISK. THE AUTHOR
WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS
OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING
OR MISUSING THIS SOFTWARE.

Restrictions:

You may not attempt to reverse compile, modify,
Translate or disassemble the software in whole or
in part. You may not remove or modify any
Copyright notice or the method by which it may be
invoked.

Operating license:

Once you have registered, you will receive a
personal registered copy via email. This copy may
not be copied or lend. You have the non-exclusive
right to use registered version of the software
only by a single person, on a single computer at a
time. YOU MAY use the components and classes from
this unit in any your (or your company's)
FREEWARE/SHAREWARE or COMMERCIAL application.
YOU MAY NOT DISTRIBUTE REGISTERED
VERSION OF VCLSKIN. IT WILL BE VIOLATION OF
INTERNATIONAL COPYRIGHT LAWS.

You may physically transfer the software from one
computer to another, provided that the software is
used only by a single person, on a single computer
at a time. In group projects where multiple persons
will use the software, you must purchase an
individual license for each member of the group.
Use over a "local area network" (within the same
locale) is permitted provided that the software is
used only by a single person, on a single computer
at a time. Use over a "wide area network" (outside
the same locale) is strictly prohibited under any
and all circumstances.

Back-up and transfer:

You may make one copy of the software solely for
"back-up" purposes, as prescribed by international
copyright laws. You must reproduce and include the
copyright notice on the back-up copy.

Terms:

This license is effective until terminated. You may
terminate it by destroying the program, the
documentation and copies thereof. This license will
also terminate if you fail to comply with any terms
or conditions of this agreement. You agree upon such
termination to destroy all copies of the program and
of the documentation, or return them to author

Other rights and restrictions:

All other rights and restrictions not specifically
granted in this license are reserved by author.

If you have any questions regarding this agreement,
please contact at e-mail addresses:
info@link-rank.com